Get Promotion
curl --request GET \
--url https://api.decodahealth.com/billing/promotions/{promotion_id} \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/billing/promotions/{promotion_id}"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/billing/promotions/{promotion_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"isActive": true,
"description": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"rrule": "<string>",
"timezone": "<string>",
"maxRedemptions": 123,
"maxPerPatient": 123,
"redemptionsCount": 0,
"autoApply": true,
"code": "<string>",
"creditAmount": 123,
"creditExpiryDays": 123,
"loyaltyPointsBonus": 123,
"loyaltyPointsExpiryDays": 123,
"providerIds": [
"<string>"
],
"teamIds": [
"<string>"
],
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"rules": [
{
"id": "<string>",
"operator": "IS",
"itemId": "<string>",
"category": "<string>",
"minQuantity": 123,
"minSubtotalCents": 123,
"cohortId": "<string>",
"locationId": "<string>",
"group": 0,
"itemName": "<string>",
"cohortName": "<string>",
"locationName": "<string>"
}
],
"discountTemplates": [
{
"id": "<string>",
"itemId": "<string>",
"itemName": "<string>",
"category": "<string>",
"itemType": "<string>",
"type": "<string>",
"percentage": 123,
"amount": 123,
"quantity": 123,
"isStackable": false
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Promotions
Get Promotion
Get promotion detail with rules and tiers.
GET
/
billing
/
promotions
/
{promotion_id}
Get Promotion
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
